Uploaded image for project: 'Alloy'
  1. Alloy
  2. ALOY-1534

Add support for Backbone 1.3.3 and Underscore 1.8.3

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: CLI Release 7.0.2
    • Component/s: Builtins
    • Labels:
      None
    • Story Points:
      1
    • Sprint:
      2018 Sprint 01 Tooling

      Description

      Currently Alloy uses backbone 0.9.2 as default, and there is an ability to upgrade to 1.1.2 through the config.json as per documentation: https://wiki.appcelerator.org/display/guides2/Alloy+Backbone+Migration.

      However, the current release of backbone is 1.3.3. There should be support for this version in Alloy too.

      And I assume it wouldn't hurt updating the default backbone version either, but I guess thats a breaking change and perhaps another ticket.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                fmiao Feon Sua Xin Miao
                Reporter:
                topener Rene Pot
                Reviewer:
                Ewan Harris
              • Watchers:
                7 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Backbone Issue Sync

                  • Backbone Issue Sync is enabled for your project, but we do not have any synchronization info for this issue.

                    Git Source Code